-- MySQL dump 10.9
--
-- Host: localhost    Database: broker2
-- ------------------------------------------------------
-- Server version	4.1.9-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `alchemicomputeserver`
--

DROP TABLE IF EXISTS `alchemicomputeserver`;
CREATE TABLE `alchemicomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  `managerURL` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK91B45509275DD41B` (`service_id`),
  CONSTRAINT `FK91B45509275DD41B` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `alchemicomputeserver`
--


/*!40000 ALTER TABLE `alchemicomputeserver` DISABLE KEYS */;
LOCK TABLES `alchemicomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `alchemicomputeserver` ENABLE KEYS */;

--
-- Table structure for table `apacgt2computeserver`
--

DROP TABLE IF EXISTS `apacgt2computeserver`;
CREATE TABLE `apacgt2computeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  `copyq` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK92F8D406454B55C1` (`service_id`),
  CONSTRAINT `FK92F8D406454B55C1` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `apacgt2computeserver`
--


/*!40000 ALTER TABLE `apacgt2computeserver` DISABLE KEYS */;
LOCK TABLES `apacgt2computeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `apacgt2computeserver` ENABLE KEYS */;

--
-- Table structure for table `apacgt4computeserver`
--

DROP TABLE IF EXISTS `apacgt4computeserver`;
CREATE TABLE `apacgt4computeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK56B4674416125E3D` (`service_id`),
  CONSTRAINT `FK56B4674416125E3D` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `apacgt4computeserver`
--


/*!40000 ALTER TABLE `apacgt4computeserver` DISABLE KEYS */;
LOCK TABLES `apacgt4computeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `apacgt4computeserver` ENABLE KEYS */;

--
-- Table structure for table `applicationcontext`
--

DROP TABLE IF EXISTS `applicationcontext`;
CREATE TABLE `applicationcontext` (
  `app_id` varchar(255) NOT NULL default '',
  `app_type` varchar(255) NOT NULL default '',
  `persistedVersion` bigint(20) NOT NULL default '0',
  `username` varchar(255) default NULL,
  `localInputDirectory` varchar(255) default NULL,
  `localOutputDirectory` varchar(255) default NULL,
  `startTime` bigint(20) default NULL,
  `status` int(11) default NULL,
  `description` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `budget` float default NULL,
  `budgetSpent` float default NULL,
  `deadline` bigint(20) default NULL,
  `timeSpent` bigint(20) default NULL,
  `optimisation` int(11) default NULL,
  PRIMARY KEY  (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `applicationcontext`
--


/*!40000 ALTER TABLE `applicationcontext` DISABLE KEYS */;
LOCK TABLES `applicationcontext` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `applicationcontext` ENABLE KEYS */;

--
-- Table structure for table `applicationservice`
--

DROP TABLE IF EXISTS `applicationservice`;
CREATE TABLE `applicationservice` (
  `service_id` bigint(20) NOT NULL default '0',
  `url` varchar(255) default NULL,
  `namespace` varchar(255) default NULL,
  `serviceName` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK65A7B652041DB61` (`service_id`),
  CONSTRAINT `FK65A7B652041DB61` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `applicationservice`
--


/*!40000 ALTER TABLE `applicationservice` DISABLE KEYS */;
LOCK TABLES `applicationservice` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `applicationservice` ENABLE KEYS */;

--
-- Table structure for table `arguments`
--

DROP TABLE IF EXISTS `arguments`;
CREATE TABLE `arguments` (
  `execute_cmd_id` bigint(20) NOT NULL default '0',
  `elt` varchar(255) default NULL,
  `arg_index` int(11) NOT NULL default '0',
  PRIMARY KEY  (`execute_cmd_id`,`arg_index`),
  KEY `FK86AC79567544028E` (`execute_cmd_id`),
  CONSTRAINT `FK86AC79567544028E` FOREIGN KEY (`execute_cmd_id`) REFERENCES `executecommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `arguments`
--


/*!40000 ALTER TABLE `arguments` DISABLE KEYS */;
LOCK TABLES `arguments` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `arguments` ENABLE KEYS */;

--
-- Table structure for table `brokerevent`
--

DROP TABLE IF EXISTS `brokerevent`;
CREATE TABLE `brokerevent` (
  `id` bigint(20) NOT NULL auto_increment,
  `source` varchar(255) default NULL,
  `applicationId` varchar(255) default NULL,
  `datestamp` bigint(20) default NULL,
  `eventType` int(11) default NULL,
  `eventInfo` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `brokerevent`
--


/*!40000 ALTER TABLE `brokerevent` DISABLE KEYS */;
LOCK TABLES `brokerevent` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `brokerevent` ENABLE KEYS */;

--
-- Table structure for table `computeserver`
--

DROP TABLE IF EXISTS `computeserver`;
CREATE TABLE `computeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  `OS` varchar(255) default NULL,
  `arch` varchar(255) default NULL,
  `hostname` varchar(255) default NULL,
  `numCPUs` int(11) default NULL,
  `CPU` varchar(255) default NULL,
  `CPUspeed` varchar(255) default NULL,
  `freeMemory` bigint(20) default NULL,
  `totalMemory` bigint(20) default NULL,
  `firewalled` tinyint(1) default NULL,
  `jobLimit` int(11) default NULL,
  `pricePerCpuSec` float default NULL,
  `pricePerJob` float default NULL,
  `avgJobComputationTime` float default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK4F5E8E3A661BF0D3` (`service_id`),
  CONSTRAINT `FK4F5E8E3A661BF0D3` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `computeserver`
--


/*!40000 ALTER TABLE `computeserver` DISABLE KEYS */;
LOCK TABLES `computeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `computeserver` ENABLE KEYS */;

--
-- Table structure for table `copycommand`
--

DROP TABLE IF EXISTS `copycommand`;
CREATE TABLE `copycommand` (
  `cmd_id` bigint(20) NOT NULL default '0',
  `source` varchar(255) default NULL,
  `destination` varchar(255) default NULL,
  `sourceLocation` int(11) default NULL,
  `destinationLocation` int(11) default NULL,
  PRIMARY KEY  (`cmd_id`),
  KEY `FK76F011F69ABF60E` (`cmd_id`),
  CONSTRAINT `FK76F011F69ABF60E` FOREIGN KEY (`cmd_id`) REFERENCES `taskcommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `copycommand`
--


/*!40000 ALTER TABLE `copycommand` DISABLE KEYS */;
LOCK TABLES `copycommand` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `copycommand` ENABLE KEYS */;

--
-- Table structure for table `datafile`
--

DROP TABLE IF EXISTS `datafile`;
CREATE TABLE `datafile` (
  `id` bigint(20) NOT NULL auto_increment,
  `filename` varchar(255) default NULL,
  `sizeInBytes` bigint(20) default NULL,
  `fileType` varchar(255) default NULL,
  `dataSourceType` int(11) default NULL,
  `preferredDataHost` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK6E76D866EEADA431` (`preferredDataHost`),
  CONSTRAINT `FK6E76D866EEADA431` FOREIGN KEY (`preferredDataHost`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `datafile`
--


/*!40000 ALTER TABLE `datafile` DISABLE KEYS */;
LOCK TABLES `datafile` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `datafile` ENABLE KEYS */;

--
-- Table structure for table `datahost`
--

DROP TABLE IF EXISTS `datahost`;
CREATE TABLE `datahost` (
  `service_id` bigint(20) NOT NULL default '0',
  `dataAccessMode` int(11) default NULL,
  `hostname` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK6E77D892CDA4DB43` (`service_id`),
  CONSTRAINT `FK6E77D892CDA4DB43` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `datahost`
--


/*!40000 ALTER TABLE `datahost` DISABLE KEYS */;
LOCK TABLES `datahost` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `datahost` ENABLE KEYS */;

--
-- Table structure for table `datahostfiletable`
--

DROP TABLE IF EXISTS `datahostfiletable`;
CREATE TABLE `datahostfiletable` (
  `datahost_id` bigint(20) NOT NULL default '0',
  `pathOnHost` varchar(255) default NULL,
  `filename` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`datahost_id`,`filename`),
  KEY `FK59172F40BA6D6086` (`datahost_id`),
  CONSTRAINT `FK59172F40BA6D6086` FOREIGN KEY (`datahost_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `datahostfiletable`
--


/*!40000 ALTER TABLE `datahostfiletable` DISABLE KEYS */;
LOCK TABLES `datahostfiletable` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `datahostfiletable` ENABLE KEYS */;

--
-- Table structure for table `executecommand`
--

DROP TABLE IF EXISTS `executecommand`;
CREATE TABLE `executecommand` (
  `cmd_id` bigint(20) NOT NULL default '0',
  `executable` varchar(255) default NULL,
  `remoteAccess` tinyint(1) default NULL,
  PRIMARY KEY  (`cmd_id`),
  KEY `FKB801EE369ABF60E` (`cmd_id`),
  CONSTRAINT `FKB801EE369ABF60E` FOREIGN KEY (`cmd_id`) REFERENCES `taskcommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `executecommand`
--


/*!40000 ALTER TABLE `executecommand` DISABLE KEYS */;
LOCK TABLES `executecommand` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `executecommand` ENABLE KEYS */;

--
-- Table structure for table `forkcomputeserver`
--

DROP TABLE IF EXISTS `forkcomputeserver`;
CREATE TABLE `forkcomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK97790C987EDC78A1` (`service_id`),
  CONSTRAINT `FK97790C987EDC78A1` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forkcomputeserver`
--


/*!40000 ALTER TABLE `forkcomputeserver` DISABLE KEYS */;
LOCK TABLES `forkcomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forkcomputeserver` ENABLE KEYS */;

--
-- Table structure for table `globuscomputeserver`
--

DROP TABLE IF EXISTS `globuscomputeserver`;
CREATE TABLE `globuscomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  `fileStagingURL` varchar(255) default NULL,
  `jobManager` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK229263C42B138A21` (`service_id`),
  CONSTRAINT `FK229263C42B138A21` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `globuscomputeserver`
--


/*!40000 ALTER TABLE `globuscomputeserver` DISABLE KEYS */;
LOCK TABLES `globuscomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `globuscomputeserver` ENABLE KEYS */;

--
-- Table structure for table `gridfilevariable`
--

DROP TABLE IF EXISTS `gridfilevariable`;
CREATE TABLE `gridfilevariable` (
  `var_id` bigint(20) NOT NULL default '0',
  `datafile` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`var_id`),
  UNIQUE KEY `datafile` (`datafile`),
  KEY `FKCC40067E8F3B96E7` (`var_id`),
  KEY `FKCC40067E9F1CA858` (`datafile`),
  CONSTRAINT `FKCC40067E9F1CA858` FOREIGN KEY (`datafile`) REFERENCES `datafile` (`id`),
  CONSTRAINT `FKCC40067E8F3B96E7` FOREIGN KEY (`var_id`) REFERENCES `variable` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gridfilevariable`
--


/*!40000 ALTER TABLE `gridfilevariable` DISABLE KEYS */;
LOCK TABLES `gridfilevariable` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gridfilevariable` ENABLE KEYS */;

--
-- Table structure for table `gridftpdatahost`
--

DROP TABLE IF EXISTS `gridftpdatahost`;
CREATE TABLE `gridftpdatahost` (
  `service_id` bigint(20) NOT NULL default '0',
  `port` int(11) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FKF83D0CAE431E048` (`service_id`),
  CONSTRAINT `FKF83D0CAE431E048` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gridftpdatahost`
--


/*!40000 ALTER TABLE `gridftpdatahost` DISABLE KEYS */;
LOCK TABLES `gridftpdatahost` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gridftpdatahost` ENABLE KEYS */;

--
-- Table structure for table `gt4computeserver`
--

DROP TABLE IF EXISTS `gt4computeserver`;
CREATE TABLE `gt4computeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK3BDEE8B31F19F547` (`service_id`),
  CONSTRAINT `FK3BDEE8B31F19F547` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gt4computeserver`
--


/*!40000 ALTER TABLE `gt4computeserver` DISABLE KEYS */;
LOCK TABLES `gt4computeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gt4computeserver` ENABLE KEYS */;

--
-- Table structure for table `informationservice`
--

DROP TABLE IF EXISTS `informationservice`;
CREATE TABLE `informationservice` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK95FBC094AD46FBA` (`service_id`),
  CONSTRAINT `FK95FBC094AD46FBA` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `informationservice`
--


/*!40000 ALTER TABLE `informationservice` DISABLE KEYS */;
LOCK TABLES `informationservice` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `informationservice` ENABLE KEYS */;

--
-- Table structure for table `job`
--

DROP TABLE IF EXISTS `job`;
CREATE TABLE `job` (
  `workUnit_id` bigint(20) NOT NULL default '0',
  `submittedTime` bigint(20) default NULL,
  `completedTime` bigint(20) default NULL,
  `remoteWorkingDirectory` varchar(255) default NULL,
  `localWorkingDirectory` varchar(255) default NULL,
  `handle` varchar(255) default NULL,
  `queueName` varchar(255) default NULL,
  `prop` tinyblob,
  `env` tinyblob,
  PRIMARY KEY  (`workUnit_id`),
  KEY `FK1239D4E93A5A6` (`workUnit_id`),
  CONSTRAINT `FK1239D4E93A5A6` FOREIGN KEY (`workUnit_id`) REFERENCES `workunit` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `job`
--


/*!40000 ALTER TABLE `job` DISABLE KEYS */;
LOCK TABLES `job` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `job` ENABLE KEYS */;

--
-- Table structure for table `jobqueue`
--

DROP TABLE IF EXISTS `jobqueue`;
CREATE TABLE `jobqueue` (
  `id` bigint(20) NOT NULL auto_increment,
  `available` tinyint(1) default NULL,
  `cost` float default NULL,
  `defaultWalltime` double default NULL,
  `maxWalltime` double default NULL,
  `jobLimit` int(11) default NULL,
  `load_avg` double default NULL,
  `name` varchar(255) default NULL,
  `priority` int(11) default NULL,
  `slotsUsed` int(11) default NULL,
  `server_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKA2D1BF74C1251585` (`server_id`),
  CONSTRAINT `FKA2D1BF74C1251585` FOREIGN KEY (`server_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `jobqueue`
--


/*!40000 ALTER TABLE `jobqueue` DISABLE KEYS */;
LOCK TABLES `jobqueue` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `jobqueue` ENABLE KEYS */;

--
-- Table structure for table `networklink`
--

DROP TABLE IF EXISTS `networklink`;
CREATE TABLE `networklink` (
  `id` bigint(20) NOT NULL auto_increment,
  `applicationID` varchar(255) default NULL,
  `dataHostname` varchar(255) default NULL,
  `serverHostname` varchar(255) default NULL,
  `bandwidth` float default NULL,
  `cost` float default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `networklink`
--


/*!40000 ALTER TABLE `networklink` DISABLE KEYS */;
LOCK TABLES `networklink` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `networklink` ENABLE KEYS */;

--
-- Table structure for table `networkweatherservice`
--

DROP TABLE IF EXISTS `networkweatherservice`;
CREATE TABLE `networkweatherservice` (
  `service_id` bigint(20) NOT NULL default '0',
  `nameServer` varchar(255) default NULL,
  `port` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FKDC6419CFA0FBEBAD` (`service_id`),
  CONSTRAINT `FKDC6419CFA0FBEBAD` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `networkweatherservice`
--


/*!40000 ALTER TABLE `networkweatherservice` DISABLE KEYS */;
LOCK TABLES `networkweatherservice` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `networkweatherservice` ENABLE KEYS */;

--
-- Table structure for table `parametersweepapplicationcontext`
--

DROP TABLE IF EXISTS `parametersweepapplicationcontext`;
CREATE TABLE `parametersweepapplicationcontext` (
  `app_id` varchar(255) NOT NULL default '',
  `preProcess` bigint(20) default NULL,
  `postProcess` bigint(20) default NULL,
  PRIMARY KEY  (`app_id`),
  UNIQUE KEY `preProcess` (`preProcess`),
  UNIQUE KEY `postProcess` (`postProcess`),
  KEY `FK8070D0828910B447` (`app_id`),
  KEY `FK8070D082AD2EE28C` (`postProcess`),
  KEY `FK8070D082D2F40F29` (`preProcess`),
  CONSTRAINT `FK8070D082D2F40F29` FOREIGN KEY (`preProcess`) REFERENCES `task` (`id`),
  CONSTRAINT `FK8070D0828910B447` FOREIGN KEY (`app_id`) REFERENCES `applicationcontext` (`app_id`),
  CONSTRAINT `FK8070D082AD2EE28C` FOREIGN KEY (`postProcess`) REFERENCES `task` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `parametersweepapplicationcontext`
--


/*!40000 ALTER TABLE `parametersweepapplicationcontext` DISABLE KEYS */;
LOCK TABLES `parametersweepapplicationcontext` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `parametersweepapplicationcontext` ENABLE KEYS */;

--
-- Table structure for table `pbscomputeserver`
--

DROP TABLE IF EXISTS `pbscomputeserver`;
CREATE TABLE `pbscomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK326DA73990E292FB` (`service_id`),
  CONSTRAINT `FK326DA73990E292FB` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pbscomputeserver`
--


/*!40000 ALTER TABLE `pbscomputeserver` DISABLE KEYS */;
LOCK TABLES `pbscomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `pbscomputeserver` ENABLE KEYS */;

--
-- Table structure for table `postprocessedservers`
--

DROP TABLE IF EXISTS `postprocessedservers`;
CREATE TABLE `postprocessedservers` (
  `app_id` varchar(255) NOT NULL default '',
  `serverID` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`app_id`,`serverID`),
  KEY `FKA091EF228910B447` (`app_id`),
  CONSTRAINT `FKA091EF228910B447` FOREIGN KEY (`app_id`) REFERENCES `applicationcontext` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `postprocessedservers`
--


/*!40000 ALTER TABLE `postprocessedservers` DISABLE KEYS */;
LOCK TABLES `postprocessedservers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `postprocessedservers` ENABLE KEYS */;

--
-- Table structure for table `preprocessedservers`
--

DROP TABLE IF EXISTS `preprocessedservers`;
CREATE TABLE `preprocessedservers` (
  `app_id` varchar(255) NOT NULL default '',
  `serverID` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`app_id`,`serverID`),
  KEY `FK98E8A3258910B447` (`app_id`),
  CONSTRAINT `FK98E8A3258910B447` FOREIGN KEY (`app_id`) REFERENCES `applicationcontext` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `preprocessedservers`
--


/*!40000 ALTER TABLE `preprocessedservers` DISABLE KEYS */;
LOCK TABLES `preprocessedservers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `preprocessedservers` ENABLE KEYS */;

--
-- Table structure for table `replicacatalog`
--

DROP TABLE IF EXISTS `replicacatalog`;
CREATE TABLE `replicacatalog` (
  `service_id` bigint(20) NOT NULL default '0',
  `replicaHost` varchar(255) default NULL,
  `replicaTop` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FKA303461B48ABE6D` (`service_id`),
  CONSTRAINT `FKA303461B48ABE6D` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `replicacatalog`
--


/*!40000 ALTER TABLE `replicacatalog` DISABLE KEYS */;
LOCK TABLES `replicacatalog` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `replicacatalog` ENABLE KEYS */;

--
-- Table structure for table `service`
--

DROP TABLE IF EXISTS `service`;
CREATE TABLE `service` (
  `service_id` bigint(20) NOT NULL auto_increment,
  `service_type` varchar(255) NOT NULL default '',
  `name` varchar(255) default NULL,
  `available` tinyint(1) default NULL,
  `mappingID` varchar(255) default NULL,
  `applicationID` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `service`
--


/*!40000 ALTER TABLE `service` DISABLE KEYS */;
LOCK TABLES `service` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `service` ENABLE KEYS */;

--
-- Table structure for table `sgecomputeserver`
--

DROP TABLE IF EXISTS `sgecomputeserver`;
CREATE TABLE `sgecomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK3E4B4D6997FF475B` (`service_id`),
  CONSTRAINT `FK3E4B4D6997FF475B` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sgecomputeserver`
--


/*!40000 ALTER TABLE `sgecomputeserver` DISABLE KEYS */;
LOCK TABLES `sgecomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `sgecomputeserver` ENABLE KEYS */;

--
-- Table structure for table `simcomputeserver`
--

DROP TABLE IF EXISTS `simcomputeserver`;
CREATE TABLE `simcomputeserver` (
  `service_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`service_id`),
  KEY `FK7816EAE365FA657F` (`service_id`),
  CONSTRAINT `FK7816EAE365FA657F` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `simcomputeserver`
--


/*!40000 ALTER TABLE `simcomputeserver` DISABLE KEYS */;
LOCK TABLES `simcomputeserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `simcomputeserver` ENABLE KEYS */;

--
-- Table structure for table `srbdatahost`
--

DROP TABLE IF EXISTS `srbdatahost`;
CREATE TABLE `srbdatahost` (
  `service_id` bigint(20) NOT NULL default '0',
  `authScheme` varchar(255) default NULL,
  `mdasDomainName` varchar(255) default NULL,
  `mdasResourceName` varchar(255) default NULL,
  `password` varchar(255) default NULL,
  `port` int(11) default NULL,
  `serverDN` varchar(255) default NULL,
  `username` varchar(255) default NULL,
  `zone` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FK3F84AB5518E8216F` (`service_id`),
  CONSTRAINT `FK3F84AB5518E8216F` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `srbdatahost`
--


/*!40000 ALTER TABLE `srbdatahost` DISABLE KEYS */;
LOCK TABLES `srbdatahost` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `srbdatahost` ENABLE KEYS */;

--
-- Table structure for table `srbmcat`
--

DROP TABLE IF EXISTS `srbmcat`;
CREATE TABLE `srbmcat` (
  `service_id` bigint(20) NOT NULL default '0',
  `authScheme` varchar(255) default NULL,
  `defaultResource` varchar(255) default NULL,
  `homeDirectory` varchar(255) default NULL,
  `mdasDomain` varchar(255) default NULL,
  `srbHost` varchar(255) default NULL,
  `srbPort` int(11) default NULL,
  `serverDN` varchar(255) default NULL,
  PRIMARY KEY  (`service_id`),
  KEY `FKEEB6B08CDD0D3A2A` (`service_id`),
  CONSTRAINT `FKEEB6B08CDD0D3A2A` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `srbmcat`
--


/*!40000 ALTER TABLE `srbmcat` DISABLE KEYS */;
LOCK TABLES `srbmcat` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `srbmcat` ENABLE KEYS */;

--
-- Table structure for table `substitutecommand`
--

DROP TABLE IF EXISTS `substitutecommand`;
CREATE TABLE `substitutecommand` (
  `cmd_id` bigint(20) NOT NULL default '0',
  `source` varchar(255) default NULL,
  `destination` varchar(255) default NULL,
  PRIMARY KEY  (`cmd_id`),
  KEY `FK3A8291319ABF60E` (`cmd_id`),
  CONSTRAINT `FK3A8291319ABF60E` FOREIGN KEY (`cmd_id`) REFERENCES `taskcommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `substitutecommand`
--


/*!40000 ALTER TABLE `substitutecommand` DISABLE KEYS */;
LOCK TABLES `substitutecommand` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `substitutecommand` ENABLE KEYS */;

--
-- Table structure for table `task`
--

DROP TABLE IF EXISTS `task`;
CREATE TABLE `task` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `task`
--


/*!40000 ALTER TABLE `task` DISABLE KEYS */;
LOCK TABLES `task` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `task` ENABLE KEYS */;

--
-- Table structure for table `taskcommand`
--

DROP TABLE IF EXISTS `taskcommand`;
CREATE TABLE `taskcommand` (
  `cmd_id` bigint(20) NOT NULL auto_increment,
  `task_id` bigint(20) default NULL,
  `cmd_index` int(11) default NULL,
  PRIMARY KEY  (`cmd_id`),
  KEY `FKC9899E6A754E2D2` (`task_id`),
  CONSTRAINT `FKC9899E6A754E2D2` FOREIGN KEY (`task_id`) REFERENCES `task` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `taskcommand`
--


/*!40000 ALTER TABLE `taskcommand` DISABLE KEYS */;
LOCK TABLES `taskcommand` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `taskcommand` ENABLE KEYS */;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
CREATE TABLE `variable` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `type` int(11) default NULL,
  `value` varchar(255) default NULL,
  `job_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKB95F369C871538FE` (`job_id`),
  CONSTRAINT `FKB95F369C871538FE` FOREIGN KEY (`job_id`) REFERENCES `workunit` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `variable`
--


/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
LOCK TABLES `variable` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;

--
-- Table structure for table `workunit`
--

DROP TABLE IF EXISTS `workunit`;
CREATE TABLE `workunit` (
  `id` bigint(20) NOT NULL auto_increment,
  `application` varchar(255) NOT NULL default '',
  `submittedTime` bigint(20) default NULL,
  `completedTime` bigint(20) default NULL,
  `name` varchar(255) default NULL,
  `errorDescription` varchar(255) default NULL,
  `status` int(11) default NULL,
  `type` int(11) default NULL,
  `task` bigint(20) default NULL,
  `service` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK5EE8855E2862BFE` (`service`),
  KEY `FK5EE885532B8642` (`task`),
  KEY `FK5EE8855CDB4707B` (`application`),
  CONSTRAINT `FK5EE8855CDB4707B` FOREIGN KEY (`application`) REFERENCES `applicationcontext` (`app_id`),
  CONSTRAINT `FK5EE885532B8642` FOREIGN KEY (`task`) REFERENCES `task` (`id`),
  CONSTRAINT `FK5EE8855E2862BFE` FOREIGN KEY (`service`) REFERENCES `service` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `workunit`
--


/*!40000 ALTER TABLE `workunit` DISABLE KEYS */;
LOCK TABLES `workunit` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `workunit` ENABLE KEYS */;

--
-- Table structure for table `wscall`
--

DROP TABLE IF EXISTS `wscall`;
CREATE TABLE `wscall` (
  `workUnit_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`workUnit_id`),
  KEY `FK99272B5A4E93A5A6` (`workUnit_id`),
  CONSTRAINT `FK99272B5A4E93A5A6` FOREIGN KEY (`workUnit_id`) REFERENCES `workunit` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wscall`
--


/*!40000 ALTER TABLE `wscall` DISABLE KEYS */;
LOCK TABLES `wscall` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wscall` ENABLE KEYS */;

--
-- Table structure for table `wscommand`
--

DROP TABLE IF EXISTS `wscommand`;
CREATE TABLE `wscommand` (
  `cmd_id` bigint(20) NOT NULL default '0',
  `portType` varchar(255) default NULL,
  `operation` varchar(255) default NULL,
  `output_name` varchar(255) default NULL,
  `output_type` varchar(255) default NULL,
  PRIMARY KEY  (`cmd_id`),
  KEY `FKAD21BCCF9ABF60E` (`cmd_id`),
  CONSTRAINT `FKAD21BCCF9ABF60E` FOREIGN KEY (`cmd_id`) REFERENCES `taskcommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wscommand`
--


/*!40000 ALTER TABLE `wscommand` DISABLE KEYS */;
LOCK TABLES `wscommand` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wscommand` ENABLE KEYS */;

--
-- Table structure for table `wsinput`
--

DROP TABLE IF EXISTS `wsinput`;
CREATE TABLE `wsinput` (
  `wsParam_id` bigint(20) NOT NULL default '0',
  `value` tinyblob,
  PRIMARY KEY  (`wsParam_id`),
  KEY `FK8C18C64EF197D1C8` (`wsParam_id`),
  CONSTRAINT `FK8C18C64EF197D1C8` FOREIGN KEY (`wsParam_id`) REFERENCES `wsparameter` (`wsParam_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wsinput`
--


/*!40000 ALTER TABLE `wsinput` DISABLE KEYS */;
LOCK TABLES `wsinput` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wsinput` ENABLE KEYS */;

--
-- Table structure for table `wsparameter`
--

DROP TABLE IF EXISTS `wsparameter`;
CREATE TABLE `wsparameter` (
  `wsParam_id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `type` varchar(255) default NULL,
  `wsCmd_id` bigint(20) default NULL,
  `input_index` int(11) default NULL,
  PRIMARY KEY  (`wsParam_id`),
  KEY `FKB979402DB68B161D` (`wsCmd_id`),
  CONSTRAINT `FKB979402DB68B161D` FOREIGN KEY (`wsCmd_id`) REFERENCES `wscommand` (`cmd_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wsparameter`
--


/*!40000 ALTER TABLE `wsparameter` DISABLE KEYS */;
LOCK TABLES `wsparameter` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wsparameter` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

