-- MySQL dump 10.9
--
-- Host: localhost    Database: gridbusportlets2
-- ------------------------------------------------------
-- Server version	4.1.9-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `dataresource`
--

DROP TABLE IF EXISTS `dataresource`;
CREATE TABLE `dataresource` (
  `dataresource_id` int(10) unsigned NOT NULL auto_increment,
  `hostname` varchar(45) NOT NULL default '',
  `homedir` varchar(45) NOT NULL default '',
  `port` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`dataresource_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dataresource`
--


/*!40000 ALTER TABLE `dataresource` DISABLE KEYS */;
LOCK TABLES `dataresource` WRITE;
INSERT INTO `dataresource` (`dataresource_id`, `hostname`, `homedir`, `port`) VALUES (1,'ng2.vpac.org','/tmp',0),(2,'manjra.csse.unimelb.edu.au','/tmp',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dataresource` ENABLE KEYS */;

--
-- Table structure for table `experiment`
--

DROP TABLE IF EXISTS `experiment`;
CREATE TABLE `experiment` (
  `experiment_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `created_on` bigint(20) unsigned NOT NULL default '0',
  `application_id` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`experiment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `experiment`
--


/*!40000 ALTER TABLE `experiment` DISABLE KEYS */;
LOCK TABLES `experiment` WRITE;
INSERT INTO `experiment` (`experiment_id`, `name`, `created_on`, `application_id`) VALUES (1,'My Project',1174565183134,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `experiment` ENABLE KEYS */;

--
-- Table structure for table `experiment_dataresource`
--

DROP TABLE IF EXISTS `experiment_dataresource`;
CREATE TABLE `experiment_dataresource` (
  `experiment_id` int(10) unsigned NOT NULL default '0',
  `dataresource_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `experiment_dataresource`
--


/*!40000 ALTER TABLE `experiment_dataresource` DISABLE KEYS */;
LOCK TABLES `experiment_dataresource` WRITE;
INSERT INTO `experiment_dataresource` (`experiment_id`, `dataresource_id`) VALUES (1,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `experiment_dataresource` ENABLE KEYS */;

--
-- Table structure for table `experiment_resource`
--

DROP TABLE IF EXISTS `experiment_resource`;
CREATE TABLE `experiment_resource` (
  `experiment_id` int(10) unsigned NOT NULL default '0',
  `resource_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `experiment_resource`
--


/*!40000 ALTER TABLE `experiment_resource` DISABLE KEYS */;
LOCK TABLES `experiment_resource` WRITE;
INSERT INTO `experiment_resource` (`experiment_id`, `resource_id`) VALUES (1,1),(1,2);
UNLOCK TABLES;
/*!40000 ALTER TABLE `experiment_resource` ENABLE KEYS */;

--
-- Table structure for table `qos`
--

DROP TABLE IF EXISTS `qos`;
CREATE TABLE `qos` (
  `experiment_id` int(10) unsigned NOT NULL auto_increment,
  `deadline` bigint(20) unsigned NOT NULL default '0',
  `budget` varchar(45) NOT NULL default '',
  `optimisation` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`experiment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qos`
--


/*!40000 ALTER TABLE `qos` DISABLE KEYS */;
LOCK TABLES `qos` WRITE;
INSERT INTO `qos` (`experiment_id`, `deadline`, `budget`, `optimisation`) VALUES (1,1177420078000,'100','cost');
UNLOCK TABLES;
/*!40000 ALTER TABLE `qos` ENABLE KEYS */;

--
-- Table structure for table `resource`
--

DROP TABLE IF EXISTS `resource`;
CREATE TABLE `resource` (
  `resource_id` int(10) unsigned NOT NULL auto_increment,
  `hostname` varchar(255) NOT NULL default '',
  `type` int(10) unsigned NOT NULL default '0',
  `price` float NOT NULL default '0',
  `queue` varchar(45) NOT NULL default '',
  `contact` varchar(255) NOT NULL default '',
  `joblimit` int(10) unsigned zerofill NOT NULL default '0000000001',
  PRIMARY KEY  (`resource_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resource`
--


/*!40000 ALTER TABLE `resource` DISABLE KEYS */;
LOCK TABLES `resource` WRITE;
INSERT INTO `resource` (`resource_id`, `hostname`, `type`, `price`, `queue`, `contact`, `joblimit`) VALUES (1,'ng2.vpac.org',806,2,'testing@brecca-m.vpac.org','ng2.vpac.org/jobmanager-pbs',0000000002),(2,'manjra.csse.unimelb.edu.au',806,1,'','manjra.csse.unimelb.edu.au',0000000002),(3,'ng2.vpac.org',806,1,'','',0000000001);
UNLOCK TABLES;
/*!40000 ALTER TABLE `resource` ENABLE KEYS */;

--
-- Table structure for table `resource_dataresource`
--

DROP TABLE IF EXISTS `resource_dataresource`;
CREATE TABLE `resource_dataresource` (
  `resource_id` int(10) unsigned NOT NULL default '0',
  `dataresource_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resource_dataresource`
--


/*!40000 ALTER TABLE `resource_dataresource` DISABLE KEYS */;
LOCK TABLES `resource_dataresource` WRITE;
INSERT INTO `resource_dataresource` (`resource_id`, `dataresource_id`) VALUES (1,1),(2,2),(3,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `resource_dataresource` ENABLE KEYS */;

--
-- Table structure for table `user_dataresource`
--

DROP TABLE IF EXISTS `user_dataresource`;
CREATE TABLE `user_dataresource` (
  `user_id` varchar(45) NOT NULL default '',
  `dataresource_id` int(10) unsigned NOT NULL default '0',
  `dflt` tinyint(3) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_dataresource`
--


/*!40000 ALTER TABLE `user_dataresource` DISABLE KEYS */;
LOCK TABLES `user_dataresource` WRITE;
INSERT INTO `user_dataresource` (`user_id`, `dataresource_id`, `dflt`) VALUES ('hussein',1,1),('hussein',2,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_dataresource` ENABLE KEYS */;

--
-- Table structure for table `user_experiment`
--

DROP TABLE IF EXISTS `user_experiment`;
CREATE TABLE `user_experiment` (
  `user_id` varchar(45) NOT NULL default '',
  `experiment_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_experiment`
--


/*!40000 ALTER TABLE `user_experiment` DISABLE KEYS */;
LOCK TABLES `user_experiment` WRITE;
INSERT INTO `user_experiment` (`user_id`, `experiment_id`) VALUES ('hussein',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_experiment` ENABLE KEYS */;

--
-- Table structure for table `user_resource`
--

DROP TABLE IF EXISTS `user_resource`;
CREATE TABLE `user_resource` (
  `user_id` varchar(45) NOT NULL default '',
  `resource_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_resource`
--


/*!40000 ALTER TABLE `user_resource` DISABLE KEYS */;
LOCK TABLES `user_resource` WRITE;
INSERT INTO `user_resource` (`user_id`, `resource_id`) VALUES ('hussein',1),('hussein',2),('hussein',3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_resource` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

