/*
 * Title        :  ChartUtil.java
 * Package      :  org.gridbus.biogrid.chart
 * Project      :  BioGrid2
 * Description	:  		
 * Created on   :  Dec 12, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.biogrid.chart;

import java.text.MessageFormat;

public class ChartUtil {

    private static final String src = "..{0}/jsp/charts.swf?library_path=..{0}/jsp/charts_library&xml_source=..{0}/chart%3FappId%3D{1}%26type%3D{2}";
    private static final String defaultContextPath = "/biogrid";
    
    public static String generateChartHTML(String appId, String type) {
        return generateChartHTML(appId, type, defaultContextPath);
    }
    
    public static String generateChartHTML(String appId, String type, String contextPath) {
        
        Object[] params = new Object[]{contextPath, appId, type};
        
        String html = 
                "<OBJECT classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\"\n";
        html += "    codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\"\n";
        html += "    WIDTH=\"800\"\n";
        html += "    HEIGHT=\"250\"\n";
        html += "    id=\"charts\"\n";
        html += "    ALIGN=\"\">\n";
        html += "<PARAM NAME=movie VALUE=\""+ MessageFormat.format(src, params) +"\">\n";
        html += "<PARAM NAME=quality VALUE=high>\n";
        html += "<PARAM NAME=bgcolor VALUE=#666666>\n\n";
        
        html += "<EMBED src=\""+ MessageFormat.format(src, params) +"\"\n";
        html += "       quality=high\n";
        html += "       bgcolor=#666666\n";
        html += "       WIDTH=\"500\"\n";
        html += "       HEIGHT=\"200\"\n";
        html += "       NAME=\"charts\"\n";
        html += "       ALIGN=\"\"\n";
        html += "       swLiveConnect=\"true\"\n";
        html += "       TYPE=\"application/x-shockwave-flash\"\n";
        html += "       PLUGINSPAGE=\"http://www.macromedia.com/go/getflashplayer\">\n";
        html += "</EMBED>\n";
        html += "</OBJECT>\n\n";
        
        return html;
    }
}
