/*
 * Title        :  ProjectFile.java
 * Package      :  org.gridbus.biogrid.pdb
 * Project      :  BioGrid
 * Description	:  		
 * Created on   :  May 10, 2005
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.biogrid.pdb;

/**
 * @author hag
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ProjectFile {

	private int id;
	private String name;
	private String secondaryName;
	private byte[] data;
	private int projectId;
	private long size;


	/**
	 * 
	 */
	public ProjectFile() {}
	
	/**
	 * @param id
	 * @param name
	 * @param data
	 * @param size
	 * @param projectId
	 */
	public ProjectFile(int id,String name,byte[] data,long size,int projectId) {
	    this(id,name,"",data,size,projectId);
	}
	
	/**
	 * @param id
	 * @param name
	 * @param sname
	 * @param data
	 * @param size
	 * @param projectId
	 */
	public ProjectFile(int id,String name,String sname,byte[] data,long size,int projectId) {
		this.id = id;
		this.name = name;
		this.secondaryName = sname;
		this.data = data;
		this.size = size;
		this.projectId = projectId;
	}
	
	/**
	 * @return Returns the data.
	 */
	public byte[] getData() {
		return data;
	}
	/**
	 * @param data The data to set.
	 */
	public void setData(byte[] data) {
		this.data = data;
	}
	/**
	 * @return Returns the id.
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id The id to set.
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return Returns the projectId.
	 */
	public int getProjectId() {
		return projectId;
	}
	/**
	 * @param projectId The projectId to set.
	 */
	public void setProjectId(int projectId) {
		this.projectId = projectId;
	}
	
	/**
	 * @return Returns the size.
	 */
	public long getSize() {
		return size;
	}
	/**
	 * @param size The size to set.
	 */
	public void setSize(long size) {
		this.size = size;
	}
    /**
     * @return
     */
    public String getSecondaryName() {
        return secondaryName;
    }
    /**
     * @param secondaryName
     */
    public void setSecondaryName(String secondaryName) {
        this.secondaryName = secondaryName;
    }
}
