/*
 * Title        :  BrokerStats.java
 * Package      :  org.gridbus.biogrid.portlets
 * Project      :  BioGrid
 * Description	:  		
 * Created on   :  Dec 11, 2005
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.biogrid.portlets;

import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.broker.common.ApplicationContext;
import org.gridbus.broker.server.BrokerServer;

/**

 */
public class BrokerStats extends GenericPortlet {

    /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
    }

    /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {
        // get the session
        PortletSession session = request.getPortletSession(true);
        String projectId = (String) session.getAttribute("projectId", PortletSession.APPLICATION_SCOPE);
        String username = request.getRemoteUser();
        
        BrokerServer broker = null;
        
        try {
            // get/create broker
            broker = BrokerServer.getInstance();
            ApplicationContext app = broker.getApplication(username,projectId);

            request.setAttribute("contextPath", request.getContextPath().toString());
            request.setAttribute("renderURL", response.createRenderURL().toString());

            request.setAttribute("url", response.createActionURL().toString());
            request.setAttribute("appId", app.getId());
            request.setAttribute("type", ""+0);
            
            getPortletContext().getRequestDispatcher("/jsp/brokerstats.jsp").include(request, response);
            
        } catch (Exception e) {
            e.printStackTrace();
            getPortletContext().getRequestDispatcher("/jsp/selectprojecterror.jsp").include(request, response);
        }
    }
}