/*
 * Title        :  ProjectBrowser.java
 * Package      :  org.gridbus.biogrid.portlets
 * Project      :  BioGrid
 * Description	:  		
 * Created on   :  May 3, 2005
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.biogrid.portlets;

import java.io.IOException;
import java.util.Collection;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.biogrid.data.DBQuerier;
import org.gridbus.biogrid.pdb.Project;
import org.gridbus.biogrid.util.BiogridUtil;
import org.gridlab.gridsphere.portlet.User;

/**
 * Portlet for listing users projects.
 * 
 * @author hag
 */
public class ProjectBrowser extends GenericPortlet {

	/**
	 * @param request
	 * @param response
	 * @throws PortletException
	 * @throws IOException
	 */
    public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
        
    	// get the session
    	PortletSession session = request.getPortletSession(true);
    	String projectId = request.getParameter("projectId");
		DBQuerier querier = null;

    	if (projectId == null) {
    		projectId = (String) session.getAttribute("projectId");
    	}
    	
		try {
		    querier = new DBQuerier();
    		// check if user owns this project
    		Project p = querier.getUserProject(BiogridUtil.getUser(request).getUserID(),Integer.parseInt(projectId));
    		if (p != null) {
    			// put project into session instead
	    		session.setAttribute("projectId",projectId,PortletSession.APPLICATION_SCOPE);
    		} else {
    			throw new Exception();
    		}
		} catch (Exception e) {
    		session.removeAttribute("projectId",PortletSession.APPLICATION_SCOPE);
		}
		try {
			querier.disconnect();
		} catch (Exception e) {
		}
    }
    
    /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {

    	// get the session
    	PortletSession session = request.getPortletSession(true);
    	DBQuerier querier = null;
		Collection projects = null;

		try {
			querier = new DBQuerier();
	    	User user = BiogridUtil.getUser(request);
			projects = querier.getUserProjects(user.getUserID());
		} catch (Exception e) {
			e.printStackTrace();
		}
		try {
			querier.disconnect();
		} catch (Exception e) {
		}

		
        request.setAttribute("url", response.createActionURL().toString());
        request.setAttribute("projects", projects);
        getPortletContext().getRequestDispatcher("/jsp/projectbrowser.jsp").include(request, response);
    }
}
