/*
 * Title        :  ProjectCreator.java
 * Package      :  org.gridbus.biogrid.portlets
 * Project      :  BioGrid
 * Description	:  		
 * Created on   :  May 3, 2005
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.biogrid.portlets;

import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.biogrid.data.DBQuerier;
import org.gridbus.biogrid.pdb.DataResource;
import org.gridbus.biogrid.util.BiogridUtil;
import org.gridlab.gridsphere.portlet.User;

/**
 * Portlet for creating new projects.
 * 
 * @author hag
 */
public class ProjectCreator extends GenericPortlet {

	/**
	 * @param request
	 * @param response
	 * @throws PortletException
	 * @throws IOException
	 */
    public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
    	// get the session
    	PortletSession session = request.getPortletSession(true);
    	User user = BiogridUtil.getUser(request);
    	
    	String projectName = request.getParameter("projectcreator_projectName");
    	DBQuerier querier = null;
    	int projectId = 0;
		try {
			querier = new DBQuerier();
			projectId = querier.findProject(projectName,user.getUserID());
			if (projectId <= 0) {
				projectId = querier.addProject(projectName);
				querier.addUserProject(user.getUserID(),projectId);
                DataResource default_dataresource = querier.getDefaultUserDataResource(user.getUserID());
                if (default_dataresource != null) {
                    querier.setProjectDataResource(projectId,default_dataresource.getId());    
                }
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		try {
		    querier.disconnect();
		} catch (Exception e) {
		}
		session.setAttribute("projectId",""+projectId,PortletSession.APPLICATION_SCOPE);
        response.setRenderParameter("projectName", projectName);
    }
    
    
    /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {
        request.setAttribute("url", response.createActionURL().toString());
        request.setAttribute("projectName", request.getParameter("projectName"));
        getPortletContext().getRequestDispatcher("/jsp/projectcreator.jsp").include(request, response);
    }
}
