/*
 * Title            :  GBBJob.java
 * Package      	:  examples
 * Project        	:  Gridbus Broker
 * Description   	:		
 * Created on   	:  March 31, 2005
 * Author	     	:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright     	:   (c) 2005, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */
package org.gridbus.biogrid.portlets.gridbus;

import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.broker.common.ApplicationContext;
import org.gridbus.broker.common.Job;
import org.gridbus.broker.constants.ApplicationStatus;
import org.gridbus.broker.server.BrokerServer;

/**
 * Taken from Gridbus Broker example portlets (GBBPortlet). Few minor alterations
 * to take into consideration application specifics.
 *
 */
public class GBBJob extends GenericPortlet {
	public static final String JOB_INFO_PAGE = "/jsp/job.jsp";
     /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
        
        // get the session
    	PortletSession session = request.getPortletSession(true);
        String projectId = (String) session.getAttribute("projectId", PortletSession.APPLICATION_SCOPE);
        String username = request.getRemoteUser();
        
        BrokerServer broker = null;

    	String resetButton = request.getParameter("resetButton");
        
        if (resetButton!=null && resetButton.equals("Reset Job")) { 
        	// get job
            String jid = (String)session.getAttribute("jid");
           	try {
               	// create/get broker server
           	    broker = BrokerServer.getInstance();
           	    // get application
                ApplicationContext app = broker.getApplication(username,projectId);
                
           	    if (app != null){
    	            broker.resetJob(app.getId(),jid);
	                if (app.getStatus() == ApplicationStatus.STOPPED) {
                        broker.startApplication(app.getId());
                    }
    	    	}
           	} catch (Exception e) {
                e.printStackTrace();
           	}
        }
    }

    /**
     * Set up any required view parameters.
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {

        // get the session
        PortletSession session = request.getPortletSession(true);
        String projectId = (String) session.getAttribute("projectId", PortletSession.APPLICATION_SCOPE);
        String username = request.getRemoteUser();
        
        BrokerServer broker = null;
        
        try {
        	// create/get broker server
            broker = BrokerServer.getInstance();
            ApplicationContext app = broker.getApplication(username,projectId);
        	if (app != null){
        		Job job = broker.getJob(app.getId(),(String)session.getAttribute("jid", PortletSession.APPLICATION_SCOPE)); 
        		request.setAttribute("job",job);
        	}
        } catch (Exception e) { e.printStackTrace(); }        
        request.setAttribute("url", response.createActionURL().toString());
        getPortletContext().getRequestDispatcher(JOB_INFO_PAGE).include(request, response);
    }
}
