/*
 * Title            :  GBBReources.java
 * Package      	:  examples
 * Project        	:  Gridbus Broker
 * Description   	:		
 * Created on   	:  March 31, 2005
 * Author	     	:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright     	:   (c) 2005, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */
package org.gridbus.biogrid.portlets.gridbus;

import java.io.IOException;
import java.util.Collection;
import java.util.Iterator;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletSession;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.broker.common.ApplicationContext;
import org.gridbus.broker.common.ComputeServer;
import org.gridbus.broker.common.GridbusFarmingEngine;
import org.gridbus.broker.constants.ServiceType;
import org.gridbus.broker.server.BrokerServer;


/**
 * A simple portlet for managing resources.  Allows you to add resources as well as start and
 * stop them.
 *
 */
public class GBBResourceInfo extends GenericPortlet {
	
	public static final String RESOURCE_INFO_PAGE = "/jsp/resourceinfo.jsp";
	/**
	 * Add / Remove resources here.
	 * @param req
	 * @param res
	 * @throws PortletException
	 * @throws IOException
	 */
	public void processAction(ActionRequest req, ActionResponse res) throws PortletException, IOException {
		
	}
	
	/**
	 * Get the current list of resources of the Gridbus Broker.
	 * @param request
	 * @param response
	 * @throws PortletException
	 * @throws IOException
	 */
	public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {
		
        // get the session
        PortletSession session = request.getPortletSession(true);
        String projectId = (String) session.getAttribute("projectId", PortletSession.APPLICATION_SCOPE);
        String username = request.getRemoteUser();
		
        System.out.println("------- viewing resource details ");
        
        BrokerServer broker = null;
        ComputeServer resource = null;
        
		try {
            // create/get broker server
            broker = BrokerServer.getInstance();
            ApplicationContext app = broker.getApplication(username,projectId);
            if (app != null){
                String resourceId = (String) session.getAttribute("resourceId", PortletSession.APPLICATION_SCOPE);
                System.out.println("------- resourceId : "+resourceId);
                // get current resource
                resource = (ComputeServer) broker.getService(app.getId(),ServiceType.COMPUTE,resourceId);
                System.out.println("------- resourceHostname : "+resource.getHostname());
			}
	    } catch (Exception e) {}

        request.setAttribute("url", response.createActionURL().toString());
        request.setAttribute("resource", resource);

        getPortletContext().getRequestDispatcher(RESOURCE_INFO_PAGE).include(request, response);
	}
	
}
